var LogWriter = require('../writer');
var fs = require('fs');


class FileWriter extends LogWriter {

		constructor(opt) {
			super(opt);
			this.targetFile = opt.path;
			this.format = opt.format;
		}

		log(msg) {
			fs.appendFile(this.targetFile, msg +"\n");

		}
}

module.exports = FileWriter;
