var Logger = require('./logger');
var LoggerSystem = require('./system');
var LogWriter = require('./writer');
var LogAdapter = require('./adapter');
var ConsoleWriter = require('./writers/console.js');
var FileWriter = require('./writers/file.js');

// Some defaults
Logger.root.writer('console', ConsoleWriter);
Logger.root.writer('file',FileWriter);


var consoleWri = new Logger.root.writers['console']();

Logger.root.adapter(new LogAdapter(() => {return true},[consoleWri]));

/*Logger.root.adapter(new LogAdapter(Logger.eq(Logger.ERROR),[consoleWri],Logger.defaults.fmt.error));
Logger.root.adapter(new LogAdapter(Logger.eq(Logger.WARN),[consoleWri],Logger.defaults.fmt.warn));
Logger.root.adapter(new LogAdapter(Logger.eq(Logger.VERBOSE),[consoleWri],Logger.defaults.fmt.verbose));*/



