// Part of Logger
//
var Writer = class Writer {

	constructor(opt) {
		if(opt) {
			this.fmt = opt.format;
		}
		this.count = 0;
		this.lastTime = new Date();
	}
	doLog(msg) {
		this.count++;
		this.lastTime = new Date();
		this.log(msg);
	}
	log(msg) {
		throw Error("Not implemented");
	}

}
module.exports = Writer;
