var Logger = require('../../'); // Require logger


var log = Logger.createLogger("Hello");

log.info("World");

log.error("This will log an error with default adapters");

log.verb("Application initiating");

log.info("Loading loggers from config");

Logger.reset();
Logger.setup(require('./conf.json'));

log.info("Now writing logs with config loaded");
log.error("Error log");
log.warn("Warning");
log.verb("Verbose");


var obj = {
	test: {
		msg: 'testing depth'
	},
	arr:[1,2,3]
}

log.info("Testing: ", obj);

log.warn("Test multiple loggers");

var log1 = Logger.createLogger("main");
var log2 = Logger.createLogger("child");
log1.info("main log");
log1.error("main log");
log1.verb("main log");
log1.warn("main log");

log2.info("child log");
log2.error("child log");
log2.verb("child log");
log2.warn("child log");



log1.info("This is a log from main");
log2.info("This is a log from other logger");

var log3 = Logger.createLogger("Hello");
log3.info("Same logger as before?");
